import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { TraxService } from '../../services/trax.service';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { ToastService } from 'tango-app-ui-shared';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import dayjs from 'dayjs';
import * as i0 from "@angular/core";
export declare class TaskInfoComponent implements OnDestroy, OnInit {
    private route;
    private router;
    gs: GlobalStateService;
    private changeDetector;
    private toast;
    private TraxService;
    private pageInfo;
    modalService: NgbModal;
    private fb;
    private destroy$;
    isExport: boolean;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    paginationSizes: any[];
    pageSize: number;
    sortColumName: string;
    sortBy: any;
    sortDirection: any;
    searchInput: any;
    headerData: any;
    searchValue: string;
    limit: number;
    offset: number;
    searchDisabled: boolean;
    taskInfoLoading: boolean;
    taskInfoNoData: boolean;
    TaskInfoData: any[];
    showZoneData: boolean;
    taskDropdown: any[];
    taskselectControl: FormControl;
    form: FormGroup;
    selectedTask: any;
    selectedChecklistType: string;
    selectedSourceCheckListId: string;
    selectedvalue: any;
    selectedlistselectControl: FormControl;
    selectedStatus: any;
    statusselectControl: {
        _id: string;
        label: string;
    }[];
    dayjs: typeof dayjs;
    date: any;
    userEmailes: any;
    taskName: any;
    constructor(route: ActivatedRoute, router: Router, gs: GlobalStateService, changeDetector: ChangeDetectorRef, toast: ToastService, TraxService: TraxService, pageInfo: PageInfoService, modalService: NgbModal, fb: FormBuilder);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    gettaskDropdown(): void;
    onTaskSelect(event: any): void;
    getTaskInfoTableData(): void;
    onValueChangeStatusSelect(event: any): void;
    setPaginationSizes(): void;
    onExport(): void;
    searchField(): void;
    sortData(column: string): void;
    onPageSizeChange(pageSize: any): void;
    onPageChange(pageOffset: any): void;
    taskinfoedit(data: any): void;
    navigateToGallery(taskinfo: any): void;
    getRedoSvgColor(status: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TaskInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TaskInfoComponent, "lib-task-info", never, {}, {}, never, never, false, never>;
}
